Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### hour()

Examples

    void draw() {
      background(204);
      int s = second();  // Values from 0 - 59
      int m = minute();  // Values from 0 - 59
      int h = hour();    // Values from 0 - 23
      line(s, 0, s, 33);
      line(m, 33, m, 66);
      line(h, 66, h, 100);
    }

Description | Processing communicates with the clock on your computer. The hour() function returns the current hour as a value from 0 - 23.

Syntax

    hour()

Returns | int
Usage | Web & Application
Related | millis() second() minute() day() month() year()

Updated on November 22, 2008 08:39:25pm PST